Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.assertions
Class XPathContainsAssertion

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
              com.eviware.soapui.impl.wsdl.teststeps.assertions.XPathContainsAssertion

All Implemented Interfaces:
  RequestAssertion, ResponseAssertion, ModelItem, PropertyChangeNotifier

    public class XPathContainsAssertion

extends WsdlMessageAssertion
implements RequestAssertion, ResponseAssertion

Assertion that matches a specified XPath expression and its expected result against the associated WsdlTestRequests response message

Author:
  Ole.Matzura

Nested Class Summary
`class` | `XPathContainsAssertion.CancelAction`
`class` | `XPathContainsAssertion.DeclareNamespacesFromCurrentAction`
`class` | `XPathContainsAssertion.OkAction`
`class` | `XPathContainsAssertion.SelectFromCurrentAction`
`class` | `XPathContainsAssertion.TestPathAction`

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `ID`
`static java.lang.String` | `LABEL`

Fields inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
`CONFIGURATION_PROPERTY, ERRORS_PROPERTY, STATUS_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`XPathContainsAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig, Assertable assertable)`

Method Summary
`protected void` | `addMatchEditorActions(JXToolBar toolbar)`
`protected void` | `addPathEditorActions(JXToolBar toolbar)`
`java.lang.String` | `assertContent(java.lang.String response, SubmitContext context, java.lang.String type)`
`protected void` | `buildConfigurationDialog()`
`boolean` | `configure()`
`org.apache.xmlbeans.XmlObject` | `createConfiguration()`
`javax.swing.JTextArea` | `getContentArea()`
`java.lang.String` | `getExpectedContent()`
`java.lang.String` | `getPath()`
`javax.swing.JTextArea` | `getPathArea()`
`protected java.lang.String` | `internalAssertRequest(WsdlMessageExchange messageExchange, SubmitContext context)`
`protected java.lang.String` | `internalAssertResponse(WsdlMessageExchange messageExchange, SubmitContext context)`
`boolean` | `isAllowWildcards()`
`void` | `selectFromCurrent()`
`void` | `setAllowWildcards(boolean allowWildcards)`
`void` | `setContent(java.lang.String content)`
`void` | `setPath(java.lang.String path)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
`assertRequest, assertResponse, getAssertable, getConfig, getConfiguration, getDescription, getErrors, getIcon, getName, getSettings, getStatus, isAllowMultiple, isClonable, isConfigurable, release, setConfiguration, setName, updateConfig`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.teststeps.assertions.RequestAssertion
`assertRequest`

Methods inherited from interface com.eviware.soapui.impl.wsdl.teststeps.assertions.ResponseAssertion
`assertResponse`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### LABEL

    public static final java.lang.String LABEL

See Also:
  Constant Field Values

Constructor Detail

### XPathContainsAssertion

    public XPathContainsAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig,
                                  Assertable assertable)

Method Detail

### getExpectedContent

    public java.lang.String getExpectedContent()

### setContent

    public void setContent(java.lang.String content)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### isAllowWildcards

    public boolean isAllowWildcards()

### setAllowWildcards

    public void setAllowWildcards(boolean allowWildcards)

### internalAssertResponse

    protected java.lang.String internalAssertResponse(WsdlMessageExchange messageExchange,
                                                      SubmitContext context)
                                               throws AssertionException

  Specified by:
    `internalAssertResponse` in class `WsdlMessageAssertion`
  Throws:
    `AssertionException`

### assertContent

    public java.lang.String assertContent(java.lang.String response,
                                          SubmitContext context,
                                          java.lang.String type)
                                   throws AssertionException

  Throws:
    `AssertionException`

### configure

    public boolean configure()

  Overrides:
    `configure` in class `WsdlMessageAssertion`

### buildConfigurationDialog

    protected void buildConfigurationDialog()

### addPathEditorActions

    protected void addPathEditorActions(JXToolBar toolbar)

### addMatchEditorActions

    protected void addMatchEditorActions(JXToolBar toolbar)

### createConfiguration

    public org.apache.xmlbeans.XmlObject createConfiguration()

### selectFromCurrent

    public void selectFromCurrent()

### internalAssertRequest

    protected java.lang.String internalAssertRequest(WsdlMessageExchange messageExchange,
                                                     SubmitContext context)
                                              throws AssertionException

  Specified by:
    `internalAssertRequest` in class `WsdlMessageAssertion`
  Throws:
    `AssertionException`

### getContentArea

    public javax.swing.JTextArea getContentArea()

### getPathArea

    public javax.swing.JTextArea getPathArea()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.